routes/web.php
<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::redirect('/', 'blog');

Route::get('/home', 'HomeController@index');

Auth::routes();

Route::get('blog', 'Web\PageController@blog')->name('blog');
Route::get('blog/{slug}', 	'Web\PageController@post')->name('post');
Route::get('category/{slug}', 'Web\PageController@category')->name('category');
Route::get('tag/{slug}', 'Web\PageController@tag')->name('tag');

//admin
Route::resource('tags','Admin\TagController');
Route::resource('categories','Admin\CategoryController');
Route::resource('posts','Admin\PostController');

Route::delete('/eliminar', 'Admin\PostController@eliminar')->name('eliminar');
Route::delete('/eliminar1', 'Admin\CategoryController@eliminar')->name('eliminar1');
Route::delete('/eliminar2', 'Admin\TagController@eliminar')->name('eliminar2');
// Route::delete('/deleteall','Purchase_detailsController@deleteall')->name('deleteall');

Route::get('/clear', function() {
    
    $exitCode = Artisan::call('cache:clear');
    $exitCode = Artisan::call('config:clear');
    $exitCode = Artisan::call('config:cache');
    $exitCode = Artisan::call('route:clear');
    $exitCode = Artisan::call('view:clear');
return "Cleared!";

});

resources/views/layouts/app.blade.php
<!DOCTYPE html>
<html dir="ltr" lang="en-US">
<head>

    <meta http-equiv="content-type" content="text/html; charset=utf-8" />
    <meta name="author" content="SemiColonWeb" />

    <!-- Stylesheets
    ============================================= -->
    <link href="{{ asset('https://fonts.googleapis.com/css?family=Lato:300,400,400i,700|Raleway:300,400,500,600,700|Crete+Round:400i') }}" rel="stylesheet" type="text/css" />
    <link rel="stylesheet" href="{{ asset('css/bootstrap.css') }}" type="text/css" />
    <link rel="stylesheet" href="{{ asset('css/style.css') }}" type="text/css" />
    <link rel="stylesheet" href="{{ asset('css/dark.css') }}" type="text/css" />
    <link rel="stylesheet" href="{{ asset('css/font-icons.css') }}" type="text/css" />
    <link rel="stylesheet" href="{{ asset('css/animate.css') }}" type="text/css" />
    <link rel="stylesheet" href="{{ asset('css/magnific-popup.css') }}" type="text/css" />

    <link rel="stylesheet" href="{{ asset('css/responsive.css') }}" type="text/css" />
    <meta name="viewport" content="width=device-width, initial-scale=1" />

    <!-- Document Title
    ============================================= -->
    <title>Blog - Grid 3 Columns | Canvas</title>

</head>

<body class="stretched">

    <!-- Document Wrapper
    ============================================= -->
    <div id="wrapper" class="clearfix">


<header id="header" class="full-header" style="background-color:black;">

      <div id="header-wrap">

        <div class="container clearfix">

          <div id="primary-menu-trigger"><i class="icon-reorder"></i></div>

          <!-- Logo
          ============================================= -->
          <div id="logo">
            <a href="" class="standard-logo" ><img src="{{asset('images/retina-portfolio.png')}}" alt="Canvas Logo"></a>
          </div>

           <nav id="primary-menu">

                 <ul>
                        <!-- Authentication Links -->
                        @guest
            <li class="nav-item"><a style="color:white" class="nav-link"href="{{ url('admin/posts') }}">Inicio</a> </li>
            <li class="nav-item"><a style="color:white" class="nav-link"href="{{ url('admin/categories') }}">Nosotros</a> </li>
            <li class="nav-item"><a style="color:white" class="nav-link"href="{{ url('admin/comments') }}">Servicios</a> </li>
            <li class="nav-item"><a style="color:white" class="nav-link"href="{{ url('admin/tags') }}">Promociones</a> </li>
            <li class="nav-item"><a style="color:white" class="nav-link"href="{{ url('admin/tags') }}">Contacto</a> </li>
            <li class="nav-item"> <a style="color:white" class="nav-link"href="{{ route('login') }}">Blog</a> </li>
            <li class="nav-item"><a style="color:white" class="nav-link" target="_blank" href="https://siacademico.com"><span><img src="{{url('images/logo-sia.png')}}" width="50" style="margin-top: -10px;"></span></a> </li>
            <li class="nav-item"><a style="color:white" class="nav-link" target="_blank" href="https://wa.me/528121094312"><span><img src="{{url('images/logo-whats.png')}}" width="30" style="margin-top: -5px;"></span></a> </li>
                        @else
                <li class="nav-item"><a style="color:white" class="nav-link" href="{{route('tags.index')}}">Etiquetas</a></li>
                <li class="nav-item"><a style="color:white" class="nav-link" href="{{route('categories.index')}}">Categorias</a></li>
                <li class="nav-item"><a style="color:white" class="nav-link" href="{{route('posts.index')}}">Publicaciones</a></li>
                
                            <li class="nav-item dropdown">
                                <a id="navbarDropdown" style="color:white" class="nav-link dropdown-toggle" href="#" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false" v-pre>
                                    {{ Auth::user()->name }} <span class="caret"></span>
                                </a>
<!-- 
                                <div class="dropdown-menu dropdown-menu-right" aria-labelledby="navbarDropdown">
                                    
                                </div> -->
                                
                            </li>
                            <li><a style="color:white" class="dropdown-item" href="{{ route('logout') }}"
                                       onclick="event.preventDefault();
                                                     document.getElementById('logout-form').submit();">
                                        {{ __('Cerrar Sesi贸n') }}
                                    </a>

                                    <form id="logout-form" action="{{ route('logout') }}" method="POST" style="display: none;">
                                        @csrf
                                    </form>
                                    </li>
                        @endguest
                    </ul>
                </nav><!-- #primary-menu end -->

        </div>

      </div>

    </header>

        <section id="content">

            @yield('content') 

        </section><!-- #content end -->

    
    </div><!-- #wrapper end -->
    <footer>
    @include('layouts.footer')
    </footer>

    <!-- Go To Top
    ============================================= -->
    <div id="gotoTop" class="icon-angle-up"></div>

    <!-- External JavaScripts
    ============================================= -->
    <script src="{{ asset('js/jquery.js') }}"></script>
    <script src="{{ asset('js/plugins.js') }}"></script>

    <!-- Footer Scripts
    ============================================= -->
    <script src="{{ asset('js/functions.js') }}"></script>

</body>
</html>

resources/views/layouts/blo.blade.php
<link rel="stylesheet" href="{{asset('css/fonts.css')}}" type="text/css" />
<a style="color:white;font-family:'Gasterye';color: rgb(245, 206, 13)!important;font-size:3rem;margin-bottom:-5%;margin-top:-5%" >Blog</a>

resources/views/layouts/footer.blade.php
<style type="text/css">
    .titulos-footer{
        font-size: 15px;
        color: yellow !important; 
        font-weight: bold; 
        font-family: 'Abel', sans-serif !important; 
        letter-spacing: 5px;
    }
</style>

<footer class="clearfix" style="background-image:url({{url('images/footer.jpg')}}); background-position-y: center; background-repeat: no-repeat; background-size: cover; border-top:0px;margin-top:0px;">
    
    <!-- <div class="widgets_wrapper" style="padding:20px 0"> -->
        <div class="container d-flex pt-4" style="line-height:25px;">

            <div class="col-md-3 mr-10 mb-10" style="margin: 3% 0%;">
                <div class="image_frame image_item no_link scale-with-grid alignnone no_border">
                    <div class="image_wrapper">
                        <img class="scale-with-grid" src="{{url('images/retina-portfolio.png')}}" alt="logo-Animatiomx-MTY" width="200">
                    </div>
                </div>
            </div>

            <div class="col-md-3">
                <div class="column_attr align_left">
                    <ul style="color: white!important;line-height:30px;">
                        <li>
                            <a href="{{url('/')}}" class="titulos-footer">INICIO</a>
                        </li>
                        <li>
                            <a href="{{url('nosotros')}}" class="titulos-footer">NOSOTROS</a>
                            <ol>
                                <li style="list-style: none;font-size: 15px; font-weight: bold; font-family: 'Abel', sans-serif !important; letter-spacing: 5px;color: #737874;">Portafolio</li>
                            </ol>
                        </li>
                        <li>
                            <a href="{{url('servicios')}}" class="titulos-footer">SERVICIOS</a>
                        </li>
                        <li>
                            <a href="{{url('contacto')}}" class="titulos-footer">CONTACTO</a>
                        </li>
                    </ul>
                </div>
            </div>

            <div class="col-md-3">
                <div class="column_attr align_left">
                    <ul>
                        <h1 class="titulos-footer">MONTERREY</h1>
                        <div class="column one column_column" style="color:#ffff!important; margin-left: -30px;font-weight:bold;">
                            <div class="column one column_column" style="margin-bottom: 10px">
                                <img src="{{url('images/phone.png')}}" width="20" style="float: left; margin-right: 10px">
                                <label style="color:#B3B3AE!important;font-weight:bold;">(818) · 0 · 00 · 72 · 88</label>
                            </div>
                            <div class="column one column_column" style="margin-bottom: 10px">
                                <img src="{{url('images/ubicacion.png')}}" width="20" style="float: left;">
                                <label style="margin-left:10px;color:#B3B3AE!important;font-weight:bold;">Torre C IOS Campestre<br></label>
                                <label style="margin-left:30px;color:#B3B3AE!important;font-weight:bold;  ">Ricardo Margain Zozaya</label>
                            </div>
                        </div>
                    </ul>
                </div>
            </div>

            <div class="col-md-3">
                <div class="column_attr align_left">
                    <ul>
                        <h1 class="titulos-footer">PUEBLA (MATRIZ)</h1>
                        <div class="column one column_column" style="color: #b3b3b3; margin-left: -30px;">
                            <div class="column one column_column" style="margin-bottom: 10px">
                                <img src="{{url('images/world.png')}}" width="20" style="float: left; margin-right: 10px">
                                <a href="http://animatiomx.com" target="_blank" style="color:#B3B3AE!important;font-weight:bold;">www.animatiomx.com</a>
                            </div>
                            <div class="column one column_column" style="margin-bottom: 10px">
                                <img src="{{url('images/phone.png')}}" width="20" style="float: left; margin-right: 10px">
                                <label style="color:#B3B3AE!important;font-weight:bold;">(222) · 1 · 78 · 25 · 65</label>
                            </div>
                            <div class="column one column_column" style="margin-bottom: 10px">
                                <img src="{{url('images/ubicacion.png')}}" width="20" style="float: left;">
                                <label style="margin-left:10px;color:#B3B3AE!important;font-weight:bold;">14 Ote. # 604 Int. 6<br></label>
                                <label style="margin-left:30px;color:#B3B3AE!important;font-weight:bold;">San Ándres Cholula, Pue.</label>
                            </div>
                        </div>
                    </ul>
                </div>
            </div> 
        </div>
        <div class="col-md-12">
                <div class="float-right">
                    <div class="mr-5" style="margin-top:-30px;">&copy; 2019 Todos los derechos reservados   
                        <a target="_blank" rel="nofollow" href="http://animatiomx.com" style="color: #efd101">
                            Animatiomx
                        </a>
                    </div>
                </div>
            </div>
 <!--    </div> -->
</footer>

resources/views/layouts/footer2.blade.php
<link href="https://fonts.googleapis.com/css?family=Abel&display=swap" rel="stylesheet">

<footer class="clearfix" style="background-image:url({{url('images/footer.jpg')}}); background-position-y: center; background-repeat: no-repeat; background-size: cover; border-top:0px;margin-top:0px;">
  <div class="container pt-3 border-bottom">
    <div class="row">
      <div class="col-md-3 col-sm-12 mb-3 text-center">
        <img src="{{url('images/retina-portfolio.png')}}" style="max-width: 200px; margin-left:-80px;margin-top: 30%;">   
      </div>

      <div class="col-md-9 col-sm-12">

        <div class="col-md-3 col-sm-6 col-6 p-0 float-left mb-3">
        <ul class="list-group" style="color:rgb(245, 206, 13);line-height:10px;">
          <li ><a style="color:rgb(245, 206, 13);" href=""><h5 style="color:rgb(245, 206, 13);letter-spacing:3px;font-family: 'Abel', sans-serif;">INICIO</h5></a></li>
          <li ><a style="color:rgb(245, 206, 13);" href=""><h5 style="color:rgb(245, 206, 13);letter-spacing:3px;font-family: 'Abel', sans-serif;">NOSOTROS</h5></a></li>
        <li class="list-group-item bg-transparent border-0 p-0 mb-3"><a style="color:rgb(179, 179, 174);letter-spacing:3px;font-weight:700;" href="">portafolio</a></li>
          <li ><a style="color:rgb(245, 206, 13);" href=""><h5 style="color:rgb(245, 206, 13);letter-spacing:3px;font-family: 'Abel', sans-serif;">SERVICIOS</h5></a></li>
          <li ><a style="color:rgb(245, 206, 13);" href=""><h5 style="color:rgb(245, 206, 13);letter-spacing:3px;font-family: 'Abel', sans-serif;">CONTACTO</h5></a></li>
        </ul>
        </div>

        <div class="col-md-3 col-sm-6 col-6 p-0 mb-3 float-left" style="margin-left: 80px!important;">
          <h5 class="mb-4 font-weight-bold text-uppercase" style="color:rgb(245, 206, 13);letter-spacing:3px;font-family: 'Abel', sans-serif;">MONTERREY</h5>
        <ul class="list-group">
        <li class="list-group-item bg-transparent border-0 p-0 mb-2"><img src="{{url('images/phone.png')}}" style="max-width: 20px;"><a style="color:rgb(179, 179, 174);font-weight:700;" href="">  (818)-0-00-72-88</a></li>
          <li class="list-group-item bg-transparent border-0 p-0 mb-2"><img src="{{url('images/ubicacion.png')}}" style="max-width: 20px;"><a style="color:rgb(179, 179, 174);font-weight:700;" href=""> Torre C IOS Campestre <br>Ricardo Margain Zozaya</a></li>
        </ul>
        </div>


        <div class="col-md-3 col-sm-6 col-6 p-0 mb-3 float-right">
          <h5 class="mb-4 font-weight-bold text-uppercase" style="color:rgb(245, 206, 13);letter-spacing:3px;font-family: 'Abel', sans-serif;">PUEBLA (MATRIZ)</h5>
        <ul class="list-group">
          <li class="list-group-item bg-transparent border-0 p-0 mb-2">
            <img src="{{url('images/world.png')}}" style="max-width: 20px;"><a href="www.animatiomx.com" style="color:rgb(179, 179, 174);font-weight:300;"> www.animatiomx.com</a>
          </li>
          <li class="list-group-item bg-transparent border-0 p-0 mb-2">
            <img src="{{url('images/phone.png')}}" style="max-width: 20px;"><a href=""style="color:rgb(179, 179, 174);font-weight:700;"> (222)-1-78-25-65</a>       
          </li class="list-group-item bg-transparent border-0 p-0 mb-2">
          <li class="list-group-item bg-transparent border-0 p-0 mb-2"> 
            <img src="{{url('images/ubicacion.png')}}" style="max-width: 20px;"><a href="" style="color:rgb(179, 179, 174);font-weight:700;"> 14 Ote. #604 Int.6 <br>
            San Ándres Cholula, Pue.</a>
          </li>
        </ul>
        </div>
      </div>

        <div class="col-md-12">
          <div class="d-flex" style="display: flex; float: right!important;">
            <a class="mr-4" href="../privacy.html" style="color:rgb(179, 179, 174);">©2019 Todos los derechos reservados</a>
            <a href="www.animatiomx.com" style="color:rgb(245, 206, 13);">Animatiomx</a>
          </div>
        </div>

    </div>
  </div>
</footer>

resources/views/layouts/header.blade.php
<!-- 
        <header id="header" class="" style="background-color:black;height:60px;">

  

          <div id="primary-menu-trigger"><i class="icon-reorder"></i></div>

                  
                  <div id="logo">
                        <a href=""><img src="{{asset('images/retina-portfolio.png')}}" alt="Canvas Logo" style="height: 30px;"></a>
                    </div>


           <nav id="primary-menu" style="background-color:black;height:60px;">

                 <ul>
                       
                        @guest
            <li class="nav-item"><a style="color:white" class="nav-link"href="{{ url('admin/posts') }}">Inicio</a> </li>
            <li class="nav-item"><a style="color:white" class="nav-link"href="{{ url('admin/categories') }}">Nosotros</a> </li>
            <li class="nav-item"><a style="color:white" class="nav-link"href="{{ url('admin/comments') }}">Servicios</a> </li>
            <li class="nav-item"><a style="color:white" class="nav-link"href="{{ url('admin/tags') }}">Promociones</a> </li>
            <li class="nav-item"><a style="color:white" class="nav-link"href="{{ url('admin/tags') }}">Contacto</a> </li>
            <li class="nav-item"> <a style="color:white" class="nav-link"href="{{ route('login') }}">Blog</a> </li>
            <li class="nav-item"><a style="color:white" class="nav-link" target="_blank" href="https://siacademico.com"><span><img src="{{asset('images/logo-sia.png')}}" width="50" style="margin-top: -10px;"></span></a> </li>
            <li class="nav-item"><a style="color:white" class="nav-link" target="_blank" href="https://wa.me/528121094312"><span><img src="{{asset('images/logo-whats.png')}}" width="30" style="margin-top: -5px;"></span></a> </li>
                        @else
                <li class="nav-item"><a style="color:white" class="nav-link" href="{{route('tags.index')}}">Etiquetas</a></li>
                <li class="nav-item"><a style="color:white" class="nav-link" href="{{route('categories.index')}}">Categorias</a></li>
                <li class="nav-item"><a style="color:white" class="nav-link" href="{{route('posts.index')}}">Publicaciones</a></li>
                
                            <li class="nav-item dropdown">
                                <a id="navbarDropdown" style="color:white" class="nav-link dropdown-toggle" href="#" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false" v-pre>
                                    {{ Auth::user()->name }} <span class="caret"></span>
                                </a>
                            </li>
                            <li><a style="color:white" class="dropdown-item" href="{{ route('logout') }}"
                                       onclick="event.preventDefault();
                                                     document.getElementById('logout-form').submit();">
                                        {{ __('Cerrar Sesión') }}
                                    </a>

                                    <form id="logout-form" action="{{ route('logout') }}" method="POST" style="display: none;">
                                        @csrf
                                    </form>
                                    </li>
                        @endguest
                    </ul>
                </nav>


    </header>
             -->

<nav class="navbar navbar-expand-lg navbar-dark bg-dark fixed-top" style="background-color:black!important;height:60px;">
 <a class="navbar-brand" href="{{url('blog')}}" style="margin-left:6%">
                <img src="{{url('images/retina-portfolio.png')}}" width="100" height="30" alt="">
                @includeWhen(Auth::user(), 'layouts.blo')
                </a>
  <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
    <span class="navbar-toggler-icon"></span>
  </button>
<style>
  #menu{
    font-size:115%;
    margin-right:6%;
  }
  #menu li{
padding-right:3%;
  }
</style>
  <div class="collapse navbar-collapse" id="navbarSupportedContent">
    <ul id="menu" class="navbar-nav ml-auto mt-3">
      <!-- <li class="nav-item active">
        <a class="nav-link" href="#">Home <span class="sr-only">(current)</span></a>
      </li>
      <li class="nav-item">
        <a class="nav-link" href="#">Link</a>
      </li>
      <li class="nav-item dropdown">
        <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
          Dropdown
        </a>
        <div class="dropdown-menu" aria-labelledby="navbarDropdown">
          <a class="dropdown-item" href="#">Action</a>
          <a class="dropdown-item" href="#">Another action</a>
          <div class="dropdown-divider"></div>
          <a class="dropdown-item" href="#">Something else here</a>
        </div>
      </li>
      <li class="nav-item">
        <a class="nav-link disabled" href="#" tabindex="-1" aria-disabled="true">Disabled</a>
      </li> -->
       @guest
            <li class="nav-item"><a style="color:white" class="nav-link"href="{{ url('admin/posts') }}">Inicio</a> </li>
            <li class="nav-item"><a style="color:white" class="nav-link"href="{{ url('admin/categories') }}">Nosotros</a> </li>
            <li class="nav-item"><a style="color:white" class="nav-link"href="{{ url('admin/comments') }}">Servicios</a> </li>
            <li class="nav-item"><a style="color:white" class="nav-link"href="{{ url('admin/tags') }}">Promociones</a> </li>
            <li class="nav-item"><a style="color:white" class="nav-link"href="{{ url('admin/tags') }}">Contacto</a> </li>
            <li class="nav-item"> <a style="color:white" class="nav-link"href="{{ route('login') }}">Blog</a> </li>
            <li class="nav-item"><a style="color:white" class="nav-link" target="_blank" href="https://siacademico.com"><span><img src="{{url('images/logo-sia.png')}}" width="50" style="margin-top: -10px;"></span></a> </li>
            <li class="nav-item"><a style="color:white" class="nav-link" target="_blank" href="https://wa.me/528121094312"><span><img src="{{url('images/logo-whats.png')}}" width="30" style="margin-top: -5px;"></span></a> </li>
                        @else
                 <li class="nav-item"><a style="color:white" class="nav-link" href="{{route('posts.index')}}">Publicaciones</a></li>
                <li class="nav-item"><a style="color:white" class="nav-link" href="{{route('categories.index')}}">Categorias</a></li>
                <li class="nav-item"><a style="color:white" class="nav-link" href="{{route('tags.index')}}">Etiquetas</a></li>            
                            <li class="nav-item dropdown">
                                <a id="navbarDropdown" style="color:white" class="nav-link dropdown-toggle" href="#" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false" v-pre>
                                    {{ Auth::user()->name }} <span class="caret"></span>
                                </a>

                                <div class="dropdown-menu dropdown-menu-right" aria-labelledby="navbarDropdown">
                                    <a  class="dropdown-item" href="{{ route('logout') }}"
                                       onclick="event.preventDefault();
                                                     document.getElementById('logout-form').submit();">
                                        {{ __('Cerrar Sesión') }}
                                    </a>

                                    <form id="logout-form" action="{{ route('logout') }}" method="POST" style="display: none;">
                                        @csrf
                                    </form>
                                </div>
                                
                            </li>
                        @endguest
    </ul>
   <!--  <form class="form-inline my-2 my-lg-0">
      <input class="form-control mr-sm-2" type="search" placeholder="Search" aria-label="Search">
      <button class="btn btn-outline-success my-2 my-sm-0" type="submit">Search</button>
    </form> -->
  </div>
</nav>